import request from '@/utils/request'

// 查询卷膜参数配置列表
export function listRollerParam(query) {
  return request({
    url: '/control/rollerParam/list',
    method: 'get',
    params: query
  })
}

// 查询卷膜参数配置详细
export function getRollerParam(id) {
  return request({
    url: '/control/rollerParam/' + id,
    method: 'get'
  })
}

// 新增卷膜参数配置
export function addRollerParam(data) {
  return request({
    url: '/control/rollerParam',
    method: 'post',
    data: data
  })
}

// 修改卷膜参数配置
export function updateRollerParam(data) {
  return request({
    url: '/control/rollerParam',
    method: 'put',
    data: data
  })
}

// 删除卷膜参数配置
export function delRollerParam(id) {
  return request({
    url: '/control/rollerParam/' + id,
    method: 'delete'
  })
}
